=== debian/control ===
Source: ros-humble-rmf-visualization-navgraphs
Section: misc
Priority: optional
Maintainer: Yadunund <yadunund@openrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rmf-building-map-msgs, ros-humble-rmf-fleet-msgs, ros-humble-rmf-traffic, ros-humble-rmf-traffic-ros2, ros-humble-rmf-utils <!nocheck>, ros-humble-rmf-visualization-msgs, ros-humble-visualization-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmf-visualization-navgraphs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rmf-building-map-msgs, ros-humble-rmf-fleet-msgs, ros-humble-rmf-traffic, ros-humble-rmf-traffic-ros2, ros-humble-rmf-visualization-msgs, ros-humble-visualization-msgs, ros-humble-ros-workspace
Description: A package to visualiize the navigation graphs of fleets
